commit bc403b7e9ea4847b1590c41eb1581aa3f1d24b36
Author: Hans Petter Jansson <hpj@hpjansson.org>
Date:   Fri Oct 25 22:52:48 2024 +0200

    Release 0.28

M	NEWS
M	meson.build

commit 242d888b9aa0fdde776c9697aacff590d07df8a0
Author: Raziel Anarki <razielanarki@semmi.se>
Date:   Thu Nov 2 00:02:32 2023 +0100

    FIX: deprecated feature used `man/meson.build`:
    
    fixes the following warning/notice
    ```
    NOTICE: Future-deprecated features used:
    * 0.64.0: {'copy arg in configure_file'}
    ```

M	man/meson.build

commit e0cc507f60f928e92d239d21ab7d03b5bc296f34
Author: Raziel Anarki <razielanarki@semmi.se>
Date:   Thu Nov 2 00:01:52 2023 +0100

    FIX: `install.py` script fails on second run
    
    python `os.symlink` fails to overwrite an already existing target:
    fixed with updating the `meson_version` requiement to `'>=0.61.0'` and handling the symlink via `install_symlink()`

D	install.py
M	meson.build

commit 67d09f0c851cfaf0ff3ae8689c14a09ec08d6fa1
Author: Ryan Brue <ryanbrue@gmail.com>
Date:   Sat Jul 20 15:35:57 2024 +0000

    validate: add COSMIC
    
    Signed-off-by: Ryan Brue <ryanbrue@gmail.com>

M	src/validate.c

commit 0edb077899d696601d285c9891c8be61b8903634
Author: Corentin Noël <corentin.noel@collabora.com>
Date:   Wed Jan 31 11:32:16 2024 +0100

    validate: Allow groups with the same name as interfaces in Implements
    
    From the specification:
    
    if the interface wishes to allow for details about the implementation, it should
    do so by specifying that implementers add a group in their desktop file with the
    same name as the interface (eg: "[org.freedesktop.ImageAcquire]")
    
    Also add interface name validation using GIO.
    
    Increases GLib requirement to 2.26.

M	meson.build
M	src/meson.build
M	src/validate.c

commit 2470d73f93d02b354ecbee7c2f02a83efaae84d8
Author: Hans Petter Jansson <hpj@hpjansson.org>
Date:   Thu Oct 5 17:07:13 2023 +0200

    Release: 0.27

M	NEWS

commit dda9978b46b4fbbc1f341ec77bb3a8d3fdcb6356
Author: Hans Petter Jansson <hpj@hpjansson.org>
Date:   Thu Oct 5 16:26:47 2023 +0200

    docs: Remove Autotools info from README and update stale links

M	README

commit 115d62a1684deeb69fa1f4816e8c16af1c91286f
Author: Hans Petter Jansson <hpj@hpjansson.org>
Date:   Thu Oct 5 16:00:57 2023 +0200

    docs: Bring HACKING notes into the Gitlab era

M	HACKING

commit b226bf5ea18de6ea6c61eb06fec93edfe0cbc85e
Author: Hans Petter Jansson <hpj@hpjansson.org>
Date:   Thu Oct 5 15:55:47 2023 +0200

    validate: Properly escape field codes in messages
    
    Fixes #71.

M	src/validate.c

commit ec04c7df45d2974103108813549502e322ae7c7c
Author: Hans Petter Jansson <hpj@hpjansson.org>
Date:   Thu Oct 5 15:53:01 2023 +0200

    validate: Add G_GNUC_PRINTF() to verify message formatting

M	src/validate.c

commit 48167c9de89477a9898fce237ce3abf382abb1b4
Author: Hans Petter Jansson <hpj@hpjansson.org>
Date:   Thu Oct 5 15:20:54 2023 +0200

    Remove Autotools build files - support only Meson from now on

D	Makefile.am
D	autogen.sh
D	configure.ac
D	git.mk
D	man/Makefile.am
D	misc/Makefile.am
D	src/Makefile.am

commit 679cb6f7d46896167ec105e0713401bfaca23516
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Sep 12 10:30:51 2023 +0100

    validate: Add Endless to the list of valid desktop IDs
    
    See https://gitlab.freedesktop.org/xdg/xdg-specs/-/merge_requests/73 and
    https://github.com/ximion/appstream/pull/522.
    
    Signed-off-by: Philip Withnall <philip@tecnocode.co.uk>

M	src/validate.c

commit 8c83300b5f81338696765f1184a82283da25265b
Author: Wang Zichong <wangzichong@deepin.org>
Date:   Tue May 23 14:46:09 2023 +0800

    validate: add DDE as a category
    
    Related: https://gitlab.freedesktop.org/xdg/xdg-specs/-/merge_requests/68

M	src/validate.c

commit 5c11578cb590cf45b2e3c094d04ca381cb054a19
Author: Wang Zichong <wangzichong@deepin.org>
Date:   Tue Mar 21 13:43:31 2023 +0800

    validate: use DDE for deepin desktop
    
    Since DDE (and its distro 'deepin') v23 beta, 'DDE' will be used
    instead of 'Deepin', so we just also update the name here.
    
    Related links:
    
    - https://gitlab.freedesktop.org/xdg/xdg-specs/-/merge_requests/69
    - https://www.freelists.org/post/deepin-devel/xdgspec-DDE
    - https://github.com/linuxdeepin/developer-center/issues/3829

M	src/validate.c

commit e966d55382e34609a6ab6b9a4200eb5a9dcf05fa
Author: JakobDev <jakobdev@gmx.de>
Date:   Tue Jan 10 11:41:28 2023 +0000

    Add --version

M	src/install.c
M	src/update-desktop-database.c
M	src/validator.c

commit 8818dac847ce50794d8fd03659d3c93d8310adbc
Author: rezso <rezso@rezso.net>
Date:   Sat Jun 25 23:01:09 2022 +0000

    Add LXQt to registered categories. LXQt requires it.

M	src/validate.c

commit 56d220dd679c7c3a8f995a41a27a7d6f3df49dea
Author: David King <amigadave@amigadave.com>
Date:   Tue Feb 15 10:56:04 2022 +0000

    validate: Support version 1.5
    
    Bump CURRENT_SPEC_VERSION to 1.5.

M	man/desktop-file-validate.1
M	src/validate.c
M	src/validate.h

commit 425177a28b6215e0745f95100160a08e810fd47c
Author: David King <amigadave@amigadave.com>
Date:   Tue Feb 15 10:54:40 2022 +0000

    validate: support SingleMainWindow key from 1.5
    
    Fixes https://gitlab.freedesktop.org/xdg/desktop-file-utils/-/issues/59

M	src/validate.c

commit 4d56ab25fd045297912d783280a55a15dcbd95e8
Author: Peter Oliver <git@mavit.org.uk>
Date:   Tue May 25 21:35:38 2021 +0100

    desktop-entry-mode.el: highlight action groups when id includes hyphens
    
    Hypens are legal characters in identifiers.

M	misc/desktop-entry-mode.el

commit 1926ae7021a2f8e842ad566a49f3a947c02cec92
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:   Fri Jun 19 10:12:04 2020 +0200

    pledge: add support to remaining utilities

M	src/install.c
M	src/update-desktop-database.c
M	src/validator.c

commit 02e13daa5a6a532181b66c8a197930b6f0171909
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Fri Jun 19 14:25:04 2020 +0200

    Post-release version bump to 0.27

M	configure.ac
M	meson.build

commit 54cec012921e52eb66b6ee1a1f40f2e9c9849f7c
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Fri Jun 19 14:22:26 2020 +0200

    Release: 0.26

M	NEWS

commit b47c480141cd94742e0e4b1c0cc850e82641aa77
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Fri Jun 19 13:46:28 2020 +0200

    build: Fix name change for update-desktop-database in meson build
    
    Fixes #58.

M	src/meson.build

commit abd13e70136cef2afacaf4d284e74e4d69605a62
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 20:53:38 2020 +0200

    Post-release version bump to 0.26

M	configure.ac
M	meson.build

commit 251300ad86c56678160d96a50647953477c1fa06
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 18:54:49 2020 +0200

    Release: 0.25

M	NEWS

commit a7672a45293050f3afa1555c80947fcb5490dd44
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 20:27:02 2020 +0200

    doc: Update installation instructions

M	README

commit bce737e8b13c7293c6360fa8a56271ac62dd0a02
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 20:09:45 2020 +0200

    doc: Update supported spec version to 1.4

M	man/desktop-file-validate.1

commit 5bb675a5a79810f11bc9963ce2ae240bc425b022
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 18:36:14 2020 +0200

    validate: Officially support version 1.4 of the spec

M	src/validate.c
M	src/validate.h

commit 63840764746e5d7be502c50ee87c5f0b0c42d24b
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 18:14:21 2020 +0200

    validate: Fix parsing of escaped double quote in quoted strings
    
    Fixes #56.

M	src/validate.c

commit a8ea62a567c385b6db526b0f34748314b0122ca7
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 17:36:01 2020 +0200

    Add guards against multiple inclusion
    
    Inspired by a patch from Félix Piédallu <felix@piedallu.me> that did
    the same thing using #pragma.

M	src/keyfileutils.h
M	src/mimeutils.h
M	src/validate.h

commit 46d5759e3c81c610cb9c49b212e744a10ff9553a
Author: Félix Piédallu <felix@piedallu.me>
Date:   Tue May 12 11:27:50 2020 +0200

    Use python for scripts instead of bash

A	changelog.py
A	install.py
D	install.sh
D	make_dist.sh
M	meson.build

commit 4cd0852d6ef08a8419a7f6d358e9f8232e65d05b
Author: Félix Piédallu <felix@piedallu.me>
Date:   Wed Apr 29 20:56:31 2020 +0200

    Add Meson to gitlab-ci

M	.gitlab-ci.yml

commit 326fcaf32da800e3287c048ca02933900331ee29
Author: Félix Piédallu <felix@piedallu.me>
Date:   Wed Apr 29 20:57:17 2020 +0200

    Add Meson build system

A	install.sh
A	make_dist.sh
A	man/meson.build
A	meson.build
A	meson_options.txt
A	misc/meson.build
A	src/meson.build

commit cec463c93d7211d4b5dea5f79aa451facbfbc3b8
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Sun Jun 7 03:12:40 2020 +0200

    validate: Fix erroneous flagging of extension keys
    
    Fixes #57.

M	src/validate.c

commit b43dfd46683e7218796a0da0042d3fa1ad35b9c6
Author: Rémi Verschelde <rverschelde@gmail.com>
Date:   Sun Jan 19 13:31:16 2020 +0100

    Bump CURRENT_SPEC_VERSION to 1.2
    
    Support was added in 7cc5b25e6213ab4e35e4e5fbd00c1790b7a0cea9,
    but some hardcoded values were missed.

M	man/desktop-file-validate.1
M	src/validate.h

commit b5d3294a4c06a97a3f6e7f6b51a397f2d6a734d5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 27 17:27:06 2020 +0200

    Add support for PrefersNonDefaultGPU .desktop key
    
    And deprecate KDE's X-KDE-RunOnDiscreteGpu.
    
    See: https://gitlab.freedesktop.org/xdg/xdg-specs/-/merge_requests/13

M	src/validate.c

commit 3108a5c206a53139ac987a2eda8eb17fcff5c41b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 27 17:25:34 2020 +0200

    Make it possible to deprecate keys starting with X-
    
    So we can throw warnings to make it easier to migrate to newer versions
    of the spec.
    
    test.desktop: warning: key "X-KDE-RunOnDiscreteGpu" in group "Desktop Entry" is deprecated

M	src/validate.c

commit 3d34993343f6332384309832cc5c01023e565db8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 27 17:12:44 2020 +0200

    ci: Bump Fedora version

M	.gitlab-ci.yml

commit 46b94ee9556f160e0432f8e7784b5172679cdc9d
Author: Dylan Baker <dylan@pnwbakers.com>
Date:   Wed Apr 15 11:55:15 2020 -0700

    validate: Add the "Implements" field from spec version 1.2
    
    Fixes #55

M	src/validate.c

commit e935a1b0c300d8fc97661e01a8200af14876e627
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Nov 14 14:16:13 2019 +0000

    desktop-file-validate: Simplify a couple of error messages
    
    They were printing the value of both keys, but given that the warning is
    that the two values are (almost) the same, it seems a pointless waste of
    space to print both of them. Print only one.
    
    Signed-off-by: Philip Withnall <withnall@endlessm.com>

M	src/validate.c

commit d35abf7b17501ec726d309d14a58696ac07126bf
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Nov 14 14:15:33 2019 +0000

    desktop-file-validate: Add coloured output support
    
    This is only enabled if the output stream supports it, and only if
    compiled against GLib ≥ 2.50. This doesn’t bump the hard dependency,
    though.
    
    Signed-off-by: Philip Withnall <withnall@endlessm.com>

M	src/validate.c

commit d649c1c443a5da13a16d3de6e628b36560acda50
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Nov 14 14:13:48 2019 +0000

    desktop-file-validate: Set locale so that output encoding is correct
    
    The typical case is that UTF-8 values from a .desktop file are displayed
    on a UTF-8 terminal. If we don’t set the locale from the environment,
    though, libc assumes that the terminal only supports ASCII, and
    substitutes all non-ASCII characters with `?`. This makes (for example)
    Cyrillic characters in warning messages useless.
    
    Signed-off-by: Philip Withnall <withnall@endlessm.com>

M	src/validator.c

commit 0dbfdfe12e320487735a05ef9b436ce144ee2633
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Aug 17 21:19:57 2019 +0300

    validate: add support for GNOME Flashback desktop

M	src/validate.c

commit 6eed00cc3cad083a5b85336f72b7c3833b01773e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Aug 17 21:16:31 2019 +0300

    validate: add support for GNOME Classic desktop

M	src/validate.c

commit 21ee53f463959d87032a7523cc129ff1fbb69543
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Fri Jul 26 17:34:11 2019 +0200

    Update the DOAP file with maintainer and issue tracker info.

M	desktop-file-utils.doap

commit 698cf7e97e891a82d87cad2b79ed3e155bb64684
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Fri Jul 26 01:03:06 2019 +0200

    Post-release bump to 0.25.

M	configure.ac

commit 27d370de9ca5121550c343859455d0f1515e1ec5
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Fri Jul 26 00:20:39 2019 +0200

    Release: 0.24

M	NEWS

commit dbe3c1ffa0dfda1ea171a17652bac4673c97b2ed
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jul 25 18:58:46 2019 +0200

    build: Install elisp even if emacs doesn't work. Don't byte-compile.

M	misc/Makefile.am

commit 4e11d0cecb51997351cfb844c8b8b2bfd3f71869
Author: Hans Petter Jansson <hpj@copyleft.no>
Date:   Wed Jul 24 16:12:18 2019 +0000

    ci: Require automake

M	.gitlab-ci.yml

commit 822cc38c705b88051944d8d5df6f39af47869b68
Author: Hans Petter Jansson <hpj@copyleft.no>
Date:   Wed Jul 24 16:06:52 2019 +0000

    ci: Fix build dependencies

M	.gitlab-ci.yml

commit 7a17ff9d0c6ca96e5693a2b955db43fe03140609
Author: Hans Petter Jansson <hpj@copyleft.no>
Date:   Wed Jul 24 16:03:33 2019 +0000

    ci: Add .gitlab-ci.yml

A	.gitlab-ci.yml

commit 7cc5b25e6213ab4e35e4e5fbd00c1790b7a0cea9
Author: Severin Glöckner <severin.gloeckner@stud.htwk-leipzig.de>
Date:   Wed Nov 21 01:13:42 2018 +0100

    Allow version 1.2
    
    Has been forgotten, as the lastest spec is 1.2

M	src/validate.c

commit 16faec039a27db5914cdb3f91cd1eae45f639627
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Tue Jul 23 19:38:21 2019 +0200

    validate: Add support for Deepin in OnlyShowIn.

M	src/validate.c

commit 448ebe8825a9f9be6f3278fc1ca415cd26dd96d9
Author: Chris Lamb <lamby@debian.org>
Date:   Sun Aug 20 08:03:21 2017 -0700

    update-desktop-database.c: Sort output within lines, not the just between them.
    
    Whilst working on the Reproducible Builds effort [0], we noticed
    that desktop-file-utils produces mimeinfo.cache files that are not
    reproducible.
    
    This is because it inherits the non-deterministic hash ordering of
    the mime_types_map data structure.
    
    Patch attached that sorts just prior to output.
    
     [0] https://reproducible-builds.org/
    
    Signed-off-by: Hans Petter Jansson <hpj@cl.no>

M	src/update-desktop-database.c

commit 7cebcedd9cf392977d40910a660245dc3f73b257
Author: Jasper Lievisse Adriaanse <j@jasper.la>
Date:   Fri Dec 22 10:40:40 2017 +0100

    Use pledge(2) on OpenBSD to limit the sets of syscalls that can be used
    
    Signed-off-by: Hans Petter Jansson <hpj@cl.no>

M	configure.ac
M	src/update-desktop-database.c

commit 217cb97b7a9b093835282f736be34f0d4b01be09
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Tue Jul 23 18:46:53 2019 +0200

    validate: Add support for the Enlightenment desktop.

M	src/validate.c

commit f92d4675a864924ba80345b2b6b9bf3816fe26a4
Author: Ikey Doherty <ikey@solus-project.com>
Date:   Thu May 11 06:20:55 2017 +0100

    validate: Add support for the Budgie Desktop as an OnlyShowIn entry
    
    The Budgie desktop has existed since 2013 and is in wide spread usage,
    as indicated in Solus, Ubuntu Budgie, as well as presence within the
    Debian and Arch repositories.
    
    Currently the Budgie desktop may identify itself as either "GNOME:Budgie"
    or "Budgie", given the current use of gnome-session.
    
    Signed-off-by: Ikey Doherty <ikey@solus-project.com>
    Signed-off-by: Hans Petter Jansson <hpj@cl.no>

M	src/validate.c

commit 92af4108750ceaf4191fd54e255885c7d8a78b70
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Apr 9 17:06:37 2018 -0400

    Add font as valid media type
    
    This was codified in RFC 8081, and some desktop apps are using
    this now.

M	src/mimeutils.c

commit 5b88c95c45e91781aed441c446210c6979350c3f
Author: David Faure <faure@kde.org>
Date:   Sat Aug 20 10:36:57 2016 +0200

    Added Pantheon to the list of desktop environments
    
    https://bugs.freedesktop.org/show_bug.cgi?id=97385

M	src/validate.c

commit d281ed4b9db22ff9e4c7e56b5cce58a72d11fc54
Author: Pascal Terjan <pterjan@google.com>
Date:   Wed Aug 17 21:52:48 2016 -0400

    Fix missing ; when appending to a list not ending with one
    
    https://bugs.freedesktop.org/show_bug.cgi?id=97388
    
    Signed-off-by: Hans Petter Jansson <hpj@cl.no>

M	src/keyfileutils.c

commit 39d97ce20acba97ec924aa9ddd7016fc32252960
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Sun Jun 19 22:11:42 2016 +0200

    Post-release bump to 0.24.

M	configure.ac

commit 56f879e9564b28886565115ea7528ec13db97759
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Sat Jun 18 19:46:47 2016 +0200

    Release: 0.23

M	NEWS

commit 9de5e8b2c29da6896663979189f758eca03c479b
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Sat Jun 18 19:01:08 2016 +0200

    validate: Add LXQt to list of registered environments.
    
    Patch from Jauhien Piatlicki.
    https://github.com/lxde/lxqt
    
    https://bugs.freedesktop.org/show_bug.cgi?id=79561

M	src/validate.c

commit ccdf65853534b9f116ce6e38b0ad5375cf33820e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Dec 18 15:57:30 2014 -0500

    Accept version 1.1
    
    When the current spec version was updated to 1.1, we forgot
    to ensure that we actually accept Version=1.1 in desktop files.

M	src/validate.c

commit 5e8047d0d7a622dfd19dba0310ad58d8b4e2f16b
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Fri Jun 17 04:00:04 2016 +0200

    validate: Ensure DBusActivatable filenames conform to reverse-DNS notation.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=66904

M	src/validate.c

commit ec0949091f7a771c852c0314108f9aa4b2a25575
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Wed May 11 22:41:14 2016 +0200

    mimeutils: Allow multipart/related MIME type.
    
    It's implemented as an extension of RFC 822 and is used for MHTML.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=93376

M	src/mimeutils.c

commit cddcd6612b66cb3963920b5f2734850a217d7020
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Mon Feb 29 01:50:14 2016 +0100

    validate: Fix buffer over-read on incomplete escape sequence.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94303

M	src/validate.c

commit be0c630a19aa1788ef731def911770ce497d6ba3
Author: David Faure <faure@kde.org>
Date:   Tue Apr 1 22:29:08 2014 +0200

    Add EDE to the list of desktop environments
    
    https://bugs.freedesktop.org/show_bug.cgi?id=56353

M	src/validate.c

commit 848c82b2332d0556c22c10a9c64d1f39850271fe
Author: Michael Webster <miketwebster@gmail.com>
Date:   Fri Mar 7 20:16:52 2014 -0500

    Add Cinnamon to list of registered environments.
    
    https://github.com/linuxmint/Cinnamon
    
    https://bugs.freedesktop.org/show_bug.cgi?id=73497

M	src/validate.c

commit 9e279cc3fac9a7e92bf426867fa83c0c7aec5711
Author: Jerome Leclanche <jerome@leclan.ch>
Date:   Tue Apr 1 15:33:16 2014 +0200

    desktop-file-validate: Trailing semicolons have been downgraded to optional
    
    https://bugs.freedesktop.org/show_bug.cgi?id=76902
    Approved by David Faure and Ryan Lortie

M	src/validate.c

commit 08e0f4dc785be7d82ffe0aa5252dd6dbca648b3e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Aug 29 09:57:11 2013 +0200

    release: post-release bump to 0.23

M	configure.ac

commit 4944725bddcf5821d53d7d648fc53347ce12cc03
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Aug 29 09:55:53 2013 +0200

    release: 0.22

M	NEWS

commit a539c745051d7eeea6617a0512b71a649105de52
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Aug 29 09:53:31 2013 +0200

    validator: Do not print two errors if file doesn't exist

M	src/validator.c

commit 0b6e84cd489091b5fdaea6ffac0fc8a83589e8c7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 12:18:35 2013 -0400

    Allow validating multiple desktop files
    
    There is no good reason to not allow this.
    https://bugs.freedesktop.org/show_bug.cgi?id=60744

M	src/validator.c

commit fd0df83df2531e3e25b4d56d0450b39004b8ed20
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 12:04:28 2013 -0400

    Admit that we validate more than 1.0
    
    While the versioning of the spec itself is in a somewhat sad
    state, it is more realistic to say we are validating according
    to 1.1 than to 1.0.

M	src/validate.h

commit 9075a05a384998ab96ad707b412a54fa5a8ddf48
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 11:55:58 2013 -0400

    Warn about OnlyShowIn in Action groups
    
    This was recently removed from the desktop entry spec,
    see https://bugs.freedesktop.org/show_bug.cgi?id=66712

M	src/validate.c

commit 479c0caa966f60367a8595b7f566ced3a82b889b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 11:54:14 2013 -0400

    Add DBusActivatable key to allowed keys
    
    This is a recent addition to the desktop entry spec.

M	src/validate.c

commit fbbc223e238e0a2da0caff921bdf5aa42f424549
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 12:32:23 2013 -0400

    Update the desktop-file-validate man page
    
    The man page was not mentioning --no-hints, and was referring
    to version 1.0 of the desktop entry spec. This commit fixes
    both issues.

M	man/desktop-file-validate.1

commit f8931babe81c347c273c41a5c8bb214a8ca30f45
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 12:28:40 2013 -0400

    Tweak help output to stay within 80 columns

M	src/validator.c

commit 645a01946ed5abdf3e314f9b25c24db6132c1988
Author: Colin Walters <walters@verbum.org>
Date:   Mon May 20 16:01:35 2013 -0400

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt

M	autogen.sh

commit f0a269e1d65843822915faa1bb020da8b6b9954c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 7 09:02:08 2013 +0100

    update-desktop-database: List only once a desktop file per mime type
    
    If a desktop file is registering the same mime type more than once
    (useless but okay), the desktop file was listed more than once for that
    mime type in mimeinfo.cache.
    
    It's easy to avoid, so make sure we only have a desktop file once per
    mime type.

M	src/update-desktop-database.c

commit ee609e13bbdab6385721b2f27c84f34a049c2fb4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 16:10:38 2012 +0200

    release: post-release bump to 0.22

M	configure.ac

commit 762b560ddbea19dfe09f818c7185229b4a3bb080
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 16:09:48 2012 +0200

    release: 0.21

M	NEWS

commit c0c4c6c1dcfc410984a96193678f40b7a31c9ba1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:25:25 2012 +0200

    validate: Add Feed category, that can be used with Network
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20197
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit 689ec978d17769092e0dde3c79c1ce2db871737e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:24:56 2012 +0200

    validate: Add Network as related category for Monitor
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49699
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit a0e4f097c4d5d0da91dd6112c42111c95b18fff9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:24:22 2012 +0200

    validate: Add Shooter category for games
    
    https://bugs.freedesktop.org/show_bug.cgi?id=38553
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit 0c2cc0855f537c8751af0bd47415193a55a903d2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:23:41 2012 +0200

    validate: Add Maps category, and document where to put GIS applications
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20187
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit 10c0d9e0af220d973c7a6ca80f7bb4ea3074e85f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:22:59 2012 +0200

    validate: Add Science as related category for more Education categories
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20186
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit dc41f7391463ed083edff89e6719949f2755d18a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:21:50 2012 +0200

    validate: Make Science a main category
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20186
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit 7948c96f7cf698f117d32e6e796e9073e77cc610
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:00:32 2012 +0200

    validate: Add Spirituality and Humanities categories
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20192
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit 7a647466f4455c289549e399b20f86bd50190df3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 14:49:13 2012 +0200

    validate: Change some related categories from "and" to "or"
    
    https://bugs.freedesktop.org/show_bug.cgi?id=35844
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012526.html

M	src/validate.c

commit 055c439fade52e30f3c3a866881f6a2890c2a331
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 15:55:52 2012 +0200

    validate: Code style fixes

M	src/validate.c

commit 38b319d92525d1b1f887b1b5f094d416b51bd74c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 15:48:35 2012 +0200

    validate: Accept and validate GNOME3/GSettings for AutostartCondition
    
    We try to validate as much as we can the content of AutostartCondition.
    This means:
    
     - for GNOME3, we check that if-session/unless-session is used with an
       additional argument
     - for GSettings, we check that two arguments are passed
    
    Additionally, we now add more validation for the GNOME condition (one
    argument needs to be passed).
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55483

M	src/validate.c

commit 355b4c6f7e4203a7c8ae184a2db76ae157235003
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 13:01:11 2012 +0200

    validate: Rework multiple main categories detection
